<template>
  <section class="fixed h-0 top-0 overflow-visible w-full flex justify-center">
    <transition name="from-top">
      <div
        v-if="ALERT_STATE"
        class="absolute top-3 flex gap-x-5 p-4 mb-4 text-sm text-blue-800 border border-blue-300 rounded-lg bg-blue-50 dark:bg-gray-800 dark:text-blue-400 dark:border-blue-800"
        role="alert"
      >
        <div class="flex">
          <span class="sr-only">Info</span>
          <div>
            <span class="font-medium">Info alert!</span> Change a few things up
            and try submitting again.
          </div>
        </div>
        <button
          @click="CloseAlert"
          class="w-5 h-5 flex justify-center items-center transition rounded hover:bg-blue-100"
        >
          <MyIcon class="h-4 w-4 fill-current text-red-400" />
        </button>
      </div>
    </transition>
  </section>
</template>

<script setup lang="ts">
import MyIcon from "@/assets/icons/close.svg?component";
import { AlertStore } from "@/stores/alert";
import { storeToRefs } from "pinia";
const { CloseAlert } = AlertStore();
const { ALERT_STATE } = storeToRefs(AlertStore());
</script>
